package cn.teammodel.model.dto.ai;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

@Data
public class UpdateChatAppDto {
    @ApiModelProperty("应用 id")
    @NotBlank(message = "请输入应用 id")
    private String id;

    @ApiModelProperty("应用图标")
    private String icon;

    @ApiModelProperty("应用名称")
    @NotBlank(message = "请输入应用名称")
    private String name;
    private String lang;
    private String bizType;
    @ApiModelProperty("应用域")
    @NotBlank(message = "请输入应用域")
    private String scope;
    private String itemType;;
    private String period;
    private String subject;
    @ApiModelProperty("应用描述")
    private String description;

    @NotBlank(message = "请输入应用提示词")
    @ApiModelProperty("应用提示词")
    private String prompt;
}